### Hierarchy

- unknown
  - GetUpdatedDataRequest

## Index

### Constructors

- constructor

### Methods

- addExcludedKeys
- clearExcludedKeysList
- clearSenderNodeAddress
- getExcludedKeysList
- getNonce
- getSenderNodeAddress
- getVersion
- hasSenderNodeAddress
- serializeBinary
- setExcludedKeysList
- setNonce
- setSenderNodeAddress
- setVersion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetUpdatedDataRequest(): GetUpdatedDataRequest

- Inherited from jspb.Message.constructor

  #### Returns GetUpdatedDataRequest

## Methods

### addExcludedKeys

- addExcludedKeys(value: string | Uint8Array, index?: number): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:457

  #### Parameters

  - ##### value: string | Uint8Array

  - ##### Optional index: number

  #### Returns GetUpdatedDataRequest

### clearExcludedKeysList

- clearExcludedKeysList(): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:456

  #### Returns GetUpdatedDataRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:449

  #### Returns GetUpdatedDataRequest

### getExcludedKeysList

- getExcludedKeysList(): (string | Uint8Array)[]

- - Defined in src/protobuf/pb_pb.d.ts:454

  #### Returns (string | Uint8Array)[]

### getNonce

- getNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:451

  #### Returns number

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:446

  #### Returns undefined | NodeAddress

### getVersion

- getVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:459

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:448

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:462

  #### Returns Uint8Array

### setExcludedKeysList

- setExcludedKeysList(value: (string | Uint8Array)[]): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:455

  #### Parameters

  - ##### value: (string | Uint8Array)[]

  #### Returns GetUpdatedDataRequest

### setNonce

- setNonce(value: number): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:452

  #### Parameters

  - ##### value: number

  #### Returns GetUpdatedDataRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:447

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns GetUpdatedDataRequest

### setVersion

- setVersion(value: string): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:460

  #### Parameters

  - ##### value: string

  #### Returns GetUpdatedDataRequest

### toObject

- toObject(includeInstance?: boolean): GetUpdatedDataRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:463

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetUpdatedDataRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:466

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetUpdatedDataRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetUpdatedDataRequest, reader: BinaryReader): GetUpdatedDataRequest

- - Defined in src/protobuf/pb_pb.d.ts:467

  #### Parameters

  - ##### message: GetUpdatedDataRequest

  - ##### reader: BinaryReader

  #### Returns GetUpdatedDataRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetUpdatedDataRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:465

  #### Parameters

  - ##### message: GetUpdatedDataRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetUpdatedDataRequest ): GetUpdatedDataRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:464

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetUpdatedDataRequest

  #### Returns GetUpdatedDataRequest . AsObject

Generated using TypeDoc